
#include "sysdata.h"
#include "efficiency.h"

int16_t EFFICIENCY_Exec(void)
{

  if (sys_data.s.values.fullCyclesCnt < 1)
  {
    return -1;
  }


  double tmp = (double) sys_data.s.values.dischargeTotalWh / sys_data.s.values.chargeTotalWh; 
  return tmp * 100; // Übertragung in promille


}